<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/TR/WD-xsl"
    xmlns:fo="http://www.w3.org/TR/WD-xsl/FO"
    result-ns="fo"
>

<xsl:template>
  <xsl:value-of/>
</xsl:template>

<!--
  XSL code generated by XSLTelemaco.
  1999 Araneus Group and University 'Roma Tre', Rome, ITALY.
 -->

<xsl:template match="/">
 <html>

 <head> <title>SIGMOD Record - XML Version</title> </head>

 <body LINK="blue" VLINK="purple">
 <a name="topofpage"> </a>
<xsl:for-each select='IndexTermsPage' >
<center><h2>
<xsl:apply-templates select="title" />
</h2>

<xsl:apply-templates select="authors" />

<p>
<xsl:apply-templates select="confName" />

-
<xsl:apply-templates select="confYear" />
</p>
  <br/><font size="-1"><I>ACM SIGMOD Record</I><br/>Volume:
<xsl:apply-templates select="volume" />

, Number:
<xsl:apply-templates select="number" />

 <br/>Pages:
<xsl:apply-templates select="initPage" />

-
<xsl:apply-templates select="endPage" />
</font>
 <br/>
<A>
  <xsl:choose>
   <xsl:when test='fullText[@href=""]'/>
   <xsl:when test='fullText[@href]'>
    <xsl:attribute name="HREF">
      <xsl:value-of select="fullText/@href"/>
    </xsl:attribute>
   </xsl:when>
  </xsl:choose>
<font size="-1">
  <xsl:apply-templates select="fullText/size" />
</font>
</A>
 <br/></center>
  <hr/><center><B>Abstract</B></center><p align="justified">
<xsl:apply-templates select="abstract" />
</p>
  <hr/><b>General Terms</b><br/><table>
<xsl:apply-templates select="generalTerms" />
</table>
  <br/><b>Cathegories and Subject Descriptors</b><br/><table>
<xsl:apply-templates select="categoryAndSubjectDescriptors" />
</table>
</xsl:for-each>
 <hr/>
 <table border="0" width="100%">
     <tr>
         <td align="center" bgcolor="#DFFFFF"><font face="arial,verdana" size="-1" color="black">
             For any comment or suggestion about the XML version, send a message to
             <a href="mailto:merialdo@dia.uniroma3.it?subject=SIGMOD Record - XML Version">
                 Paolo Merialdo
             </a></font>
         </td>
     </tr>
     <tr>
         <td align="center">
             <font face="verdana" size="-1" color="black">Sigmod Record Home Page: <cite>http://www.acm.org/sigmod/record</cite></font>
         </td>
     </tr>
   </table>
 </body>
 </html>
</xsl:template>






<xsl:template match="authors">
<xsl:for-each select='author' >

     <xsl:value-of/>
 <br/>
</xsl:for-each>
</xsl:template>






















<xsl:template match="generalTerms">
<xsl:for-each select='term' >
 <tr><td width="4"></td><td><font size="-1">
     <xsl:value-of/>
 </font><br/></td></tr>
</xsl:for-each>
</xsl:template>




<xsl:template match="categoryAndSubjectDescriptors">
<xsl:for-each select='categoryAndSubjectDescriptorsTuple' >
 <tr><td width="4"></td><td><b><font size="-1">
     <xsl:value-of select='category'/>
</font></b>
 <font size="-1">
     <xsl:value-of select='content'/>
 </font><br/></td></tr>
</xsl:for-each>
</xsl:template>






</xsl:stylesheet>
